Hooks:PostHook( WeaponFactoryTweakData, "init", "RageFiberFrontSightModInit", function(self)
	self.parts.wpn_fps_pis_rage_lock.stance_mod = {
		wpn_fps_pis_rage = {
			translation = Vector3(0.01, 0, 0.1)
		}
	}
	table.map_append(self.parts.wpn_fps_pis_rage_b_comp1, {
		adds = {
			"wpn_fps_pis_rage_standard_fiber"
		}
	})
	table.map_append(self.parts.wpn_fps_pis_rage_b_comp2, {
		adds = {
			"wpn_fps_pis_rage_standard_fiber"
		}
	})
	table.map_append(self.parts.wpn_fps_pis_rage_b_long, {
		adds = {
			"wpn_fps_pis_rage_long_fiber"
		}
	})
	table.map_append(self.parts.wpn_fps_pis_rage_b_short, {
		adds = {
			"wpn_fps_pis_rage_short_fiber"
		}
	})
	table.map_append(self.parts.wpn_fps_pis_rage_b_standard, {
		adds = {
			"wpn_fps_pis_rage_standard_fiber"
		}
	})
end )